---
title: Room Reporting
---

Room availablity can be a common issue during the planning cycle. We need to make sure we are making effective use of the spaces available, and are not requesting too much in one location (making it impossible to schedule). This view lets staff see how much has been allocated as guide to aid planning.

MPyT also has no knowledge of room capacities -- it treats a room pool as a uniform 'block' of hours. It therefore cannot warn about issues relating to capacities, special requirements, etc... (eg, it can't tell the difference between chapel and exchange lecture theatre), which must be resolved after the fact. It also doesn't know about rooms in multiple pools.

Due to this quite simplistic model, this report is (_very_) optimistic regarding maximum room pool capacities. Real world constraints often mean it is not _possible_ to fully schedule a space at the best of times. Please treat this view as **guide only**. We might be able to improve on this in future iterations, but this will never be perfect (we'd have to handle the full timetabling process for it to be 100% accurate!).

**SCREENSHOT HERE**
