---
title: Module Planning
---

## Module Planning Tool (MPyT)

This is the documentation website for the Module Planning Tool developed by [Falmouth](https://falmouth.ac.uk)'s Computing/Games Teams.

### What does it do?

The tool is designed to help course teams ease the module planning process and timetable submission for their departments. It:

* Provides a week-by-week overview of a module's [activities](modules/activities) as well as the staff and rooms attached
* Provides an easy-to-summarise backend to allow the generation of reports to aid in modelling
* Provide an export of course requirements, to aid the timetabling process
* Provide [reports](/reports/) to aid in checking staff workload at the point of planning

### What does it **not** do?

* It does not actually timetable -- just handles requirements
* There are limitations for the reporting, namely
* Model assessment workload (yet!)

## The name
The name is a pun on the original (spreadsheet-based) planning tool, MPT, which has been rewritten in a programming language called Python, therefore, MPyT.
